Bug 739972 - mock crashes when the --quiet/-q option is used
Summary: mock crashes when the --quiet/-q option is used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: 15
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-20 15:18 UTC by Petr Šabata
Modified: 2011-10-16 18:29 UTC (History)
3 users (show)

Fixed In Version: mock-1.1.15-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-02 23:00:45 UTC


Attachments (Terms of Use)

Description Petr Šabata 2011-09-20 15:18:43 UTC
Description of problem:
Running mock with --quiet/-q options results in a crash.

Version-Release number of selected component (if applicable):
mock-1.1.14-1.fc15.noarch
python-2.7.1-7.fc15.x86_64
rpm-4.9.1.1-1.fc15.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. mock -q -r fedora-rawhide-x86_64 --resultdir ./build perl-Test-DBICSchemaLoaderDigest-0.03-1.fc17.src.rpm
  
Actual results:
ERROR: list index out of range
Traceback (most recent call last):
  File "/usr/sbin/mock", line 493, in <module>
    def do_buildsrpm(config_opts, chroot, options, args):
  File "/usr/sbin/mock", line 643, in main
    logging.getLogger("mockbuild.Root.state").handlers[0].setLevel(logging.WARNING)
IndexError: list index out of range

Expected results:
mock builds the package

Additional info:
The SRPM package mentioned in the reproducer is available here (bug 739961):
http://ppisar.fedorapeople.org/perl-Test-DBICSchemaLoaderDigest/perl-Test-DBICSchemaLoaderDigest-0.03-1.fc17.src.rpm
Although this can be reproduced with other packages too.

Comment 1 Clark Williams 2011-09-23 18:46:21 UTC
More fallout of the namespace changeover (mock -> mockbuild).

Should be fixed in upcoming 1.1.15 release

Comment 2 Fedora Update System 2011-09-23 20:55:09 UTC
mock-1.1.15-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.15-1.fc15

Comment 3 Fedora Update System 2011-09-23 20:56:11 UTC
mock-1.1.15-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.15-1.el6

Comment 4 Fedora Update System 2011-09-23 20:57:06 UTC
mock-1.0.22-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.22-1.el5

Comment 5 Fedora Update System 2011-09-23 20:57:57 UTC
mock-1.1.15-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.15-1.fc14

Comment 6 Fedora Update System 2011-09-24 21:59:25 UTC
Package mock-1.1.15-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.15-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mock-1.1.15-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-10-02 22:59:42 UTC
mock-1.1.15-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-10-02 23:08:06 UTC
mock-1.1.15-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-10-16 18:27:43 UTC
mock-1.0.22-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-10-16 18:29:30 UTC
mock-1.1.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.